* {
    box-sizing: border-box;
}

::-webkit-scrollbar {
    width: 15px;
}

::-webkit-scrollbar-thumb {
    border-radius: 3px;
    background: -webkit-gradient(linear, left top, left bottom, from(#00d595), to(#9832ff));
    box-shadow: inset 2px 2px 2px rgba(255, 255, 255, 0.5), inset 2px 2px 2px rgba(0, 0, 0, 0.25);
}

body {
    display: block;
    font-family: din-2014, sans-serif;
    font-weight: 400;
    font-style: normal;
    max-width: 100%;
    padding: 4em;
    color: #222222;
    font-size: 12px;
    cursor: default;
}

#logo {
    width: 25vw;
    margin: 0;
    padding: 0.8em 0 0 8em;
}


@media (min-width: 1024px) and (max-width: 1061px) {
    #logo {
        width: 35vw;
    }
}

.photo {
    display: block;
    float: right;
    max-width: 38%;
    margin-right: 2%;
    height: auto;
}

@media (max-width: 1060px) {
    .photo {
        display: none;
    }
}

.text {
    display: block;
    text-transform: uppercase;
    font-size: 4.3vw;
    padding: 3em 0 0 6rem;
    font-family: din-2014, sans-serif;
    font-weight: 800;
    font-style: normal;
}

/*test*/
@media (min-width: 1024px) and (max-width: 1061px) {
    .text {
        font-size: 6.5vw;
    }
}

.text p {
    margin: 0;
}

div.p_slide_soft {
    width: 100%;
}

div.p_slide_soft {
    -webkit-animation: 1s slide_soft;
    animation: 1s slide_soft;
}

@-webkit-keyframes slide_soft {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}

@keyframes slide_soft {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}


.text div:nth-child(2) {
    padding: 0.3em 0 0.3em 1em;
}

div.p_slide_hdw {
    width: 100%;
}

div.p_slide_hdw {
    -webkit-animation: 2s slide_hdw;
    animation: 2s slide_hdw;
}

@-webkit-keyframes slide_hdw {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}

@keyframes slide_hdw {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}

.text div:nth-child(3) {
    -webkit-padding-start: 2em;
    padding-inline-start: 2em;
}

div.p_slide_progr {
    width: 100%;
}

div.p_slide_progr {
    -webkit-animation: 3s slide_progr;
    animation: 3s slide_progr;
}

@-webkit-keyframes slide_progr {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}

@keyframes slide_progr {
    from {
        margin-left: -100%;
    }

    to {
        margin-left: 0%;
        width: 100%;
    }
}

h1 {
    text-align: center;
    font-size: 3em;
    font-family: din-2014, sans-serif;
    font-weight: 800;
    font-style: normal;
    margin-top: -30px;
    padding: 0 0 1em 0;
    text-transform: uppercase;
}

.database {
    margin-top: 30%;
    font-size: 3rem;
}

.content h3 {
    margin: auto;
    color: #fff;
    -webkit-padding-before: 1em;
    padding-block-start: 1em;
    font-size: 15rem;
    font-weight: bold;
}

.container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.container a {
    margin: 8px;
    text-decoration: none;
    width: 20vw;
    -moz-column-gap: 15px;
    column-gap: 15px;
}

.container img {
    width: 70px;
    height: 70px;
}

.btnlink {
    width: 21%;
    min-width: 250px;
}

.box {
    background: #222222;
    flex: 0 0 20.5%;
    padding: 50px 3% 50px 3%;
    text-align: center;
}

#html:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #EA6228);
    filter: drop-shadow(0 0 0.35rem #EA6228);
    background-color: #EA6228;
    transition: 0.3s;
}

#css:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #2AA2E0);
    filter: drop-shadow(0 0 0.35rem #2AA2E0);
    background-color: #2AA2E0;
    transition: 0.3s;
}


#javascript:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #F0D81D);
    filter: drop-shadow(0 0 0.35rem #F0D81D);
    background-color: #F0D81D;
    transition: 0.3s;
}


#csharp:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #642076);
    filter: drop-shadow(0 0 0.35rem #642076);
    background-color: #642076;
    transition: 0.3s;
}


#vba:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #217145);
    filter: drop-shadow(0 0 0.35rem #217145);
    background-color: #217145;
    transition: 0.3s;
}


#powershell:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem #0273B7);
    filter: drop-shadow(0 0 0.35rem #0273B7);
    background-color: #0273B7;
    transition: 0.3s;
}


#games:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem brown);
    filter: drop-shadow(0 0 0.35rem brown);
    background-color: brown;
    transition: 0.3s;
}

#other:hover {
    -webkit-filter: drop-shadow(0 0 0.35rem rgb(71, 145, 68));
    filter: drop-shadow(0 0 0.35rem rgb(71, 145, 68));
    background-color: rgb(71, 145, 68);
    transition: 0.3s;
}

.content h3 {
    font-size: 36px;
}

.h1about {
    font-size: 3rem;
    -webkit-padding-before: 8rem;
    padding-block-start: 8rem;
    margin: 0;
}

.me {
    text-align: center;
    max-width: 85%;
    margin: auto;
    padding: 0 0 4em 1em;
    font-size: 2.5em;
}

.technology {
    float: left;
    margin: 50px 0 0 70px;
    font-size: 5em;
    font-weight: bold;
    -webkit-writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    /*vertical text*/
    transform: rotate(180deg);
    text-transform: uppercase;
    color: #D4D4D4;
}

.bar {
    display: flex;
    flex-wrap: wrap;
    font-size: 2.2em;
    padding-left: 40px;
}

.buttons {
    flex-basis: 44%;
    margin: 10px 0 0 30px;
    height: 100px;
}

@media (min-width: 1027px) and (max-width: 1219px) {
    .buttons {
        flex-basis: 40%;
        margin: 10px 0 0 30px;
        height: 100px;
    }
}

.meter {
    margin-top: 0.3125em;
    height: 2em;
    background: #EEEEEE;
}

.meter>span {
    display: block;
    margin: 0;
    height: 100%;
    background: linear-gradient(to right,
            #00D595 0%,
            #9832FF 100%);
    overflow: hidden;
}

/*html bar*/
.htmlbar {
    -webkit-animation: html 4s ease-in-out;
    animation: html 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes html {
    0% {
        width: 0;
    }

    100% {
        width: 98%;
    }

}

@keyframes html {
    0% {
        width: 0;
    }

    100% {
        width: 98%;
    }

}

/*C# bar*/
.csharpbar {
    -webkit-animation: csharp 4s ease-in-out;
    animation: csharp 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes csharp {
    0% {
        width: 0;
    }

    100% {
        width: 45%;
    }
}

@keyframes csharp {
    0% {
        width: 0;
    }

    100% {
        width: 45%;
    }
}

/*linux*/
.linux {
    -webkit-animation: linux 4s ease-in-out;
    animation: linux 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes linux {
    0% {
        width: 0;
    }

    100% {
        width: 20%;
    }
}

@keyframes linux {
    0% {
        width: 0;
    }

    100% {
        width: 20%;
    }
}

/*sql*/
.sql {
    -webkit-animation: sql 4s ease-in-out;
    animation: sql 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes sql {
    0% {
        width: 0;
    }

    100% {
        width: 15%;
    }
}

@keyframes sql {
    0% {
        width: 0;
    }

    100% {
        width: 15%;
    }
}


/*powershell*/
.shell {
    -webkit-animation: shell 4s ease-in-out;
    animation: shell 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes shell {
    0% {
        width: 0;
    }

    100% {
        width: 30%;
    }
}

@keyframes shell {
    0% {
        width: 0;
    }

    100% {
        width: 30%;
    }
}

/*vba*/
.vba {
    -webkit-animation: vba 4s ease-in-out;
    animation: vba 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes vba {
    0% {
        width: 0;
    }

    100% {
        width: 5%;
    }
}

@keyframes vba {
    0% {
        width: 0;
    }

    100% {
        width: 5%;
    }
}

/*css*/
.css {
    -webkit-animation: css 4s ease-in-out;
    animation: css 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes css {
    0% {
        width: 0;
    }

    100% {
        width: 90%;
    }
}

@keyframes css {
    0% {
        width: 0;
    }

    100% {
        width: 90%;
    }
}

/*win server*/
.windows {
    -webkit-animation: winserver 4s ease-in-out;
    animation: winserver 4s ease-in-out;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes winserver {
    0% {
        width: 0;
    }

    100% {
        width: 80%;
    }
}

@keyframes winserver {
    0% {
        width: 0;
    }

    100% {
        width: 80%;
    }
}


.about {
    position: relative;
    text-align: center;
    padding: 2.338em 0 0 5.5em;
    max-width: 95%;
    font-size: 2.5em;
}

.contact {
    position: relative;
    margin: 10px 0 40px 0;
    padding: 2em 0 0.7em 0;
    text-align: center;
    text-transform: uppercase;
    font-size: 3rem;
    font-weight: bold;
}

footer {
    text-align: center;
}

.mail {
    font-family: din-2014, sans-serif;
    font-weight: 400;
    margin: auto;
    padding: 0.625em 20px;
    font-size: 2em;
    border: 0.1875em solid #222222;
    text-decoration: none;
    color: #222222;
}

footer a:hover {
    text-decoration: underline;
}

.info {
    padding: 2em 0 0 0;
    font-size: 1.5rem;
    font-style: oblique;
}

.social {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social a {
    padding: 0;
    width: 4rem;
    margin: 30px;
}

.social svg:hover {
    fill: #0271AE;
    transition: 0.3s;
}